<?php

defined('BASEPATH') OR exit('No direct script access allowed');

/* Copyright (C) Hawks Solutions  - All Rights Reserved 
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential 
 * Written by Anuraj <anurajpr2266@gmail.com>, November 2017  */

class Category extends AdminController {

    public function __construct() {
        parent::__construct();
        
    }

    public function index() {
         $this->Logins->isUseralive();
        $data['categories'] = $this->Categories->get();
        $this->load->view('admin/layouts/adminheader');
        $this->load->view('admin/category/index', $data);
        $this->load->view('admin/layouts/adminfooter');
    }
public function create() {
        
        $this->load->view('admin/layouts/adminheader');
        $this->load->view('admin/category/create');
        $this->load->view('admin/layouts/adminfooter');
    }
    
    public function edit($id){
        $data['category'] = $this->Categories->get($id);
        $this->load->view('admin/layouts/adminheader');
        $this->load->view('admin/category/edit', $data);
        $this->load->view('admin/layouts/adminfooter');
    }
    public function save()
    {
        $category = $this->input->post('category');
        $id=$this->input->post('categoryId');
        if (!empty($category)) {

        $data = array(
                'category' => $category
            );
        if(!empty($id)){
            if ($this->Categories->save($data,$id) > 0) {
                $msg = $this->Categories->messageData(SUCCESS, 'Category Updated');
                $this->session->set_flashdata('msg', $msg);
                redirect(base_url('admin/Category'));
            }
        else{
        $msg = $this->Categories->messageData(ERROR, 'Category not Updated');
        $this->session->set_flashdata('msg', $msg);
        redirect(base_url('admin/Category'));
        }
    }else{
        if ($this->Categories->save($data) > 0) {
                $msg = $this->Categories->messageData(SUCCESS, 'Category Saved');
                $this->session->set_flashdata('msg', $msg);
                redirect(base_url('admin/Category'));
            }
        else{
        $msg = $this->Categories->messageData(ERROR, 'Category not SAved');
        $this->session->set_flashdata('msg', $msg);
        redirect(base_url('admin/Category'));
        }
    }
    }
    $msg = $this->Categories->messageData(ERROR, 'Sorry. Unable to process');
        $this->session->set_flashdata('msg', $msg);
        redirect(base_url('admin/Category'));
}
    public function delete($id){
        if(!empty($id)){
            if($this->Categories->delete($id)){
                $msg = $this->Categories->messageData(SUCCESS, 'Category Deleted');
                $this->session->set_flashdata('msg', $msg);
                redirect(base_url('admin/Category'));
            }
        }
        $msg = $this->Categories->messageData(ERROR, 'Category not Deleted');
                $this->session->set_flashdata('msg', $msg);
                redirect(base_url('admin/Category'));

    }
    

}
