<div ng-app="adminApp" ng-controller="contentTypeController" id="uploadController" ng-init="clearForm()">
    <div class="row" >
        <div class="col-lg-12">
            <h1 class="page-header">Content Types</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Form
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <form role="form" id="formcontenttype">
                                <div class="form-group">
                                    <label>Content Type</label>
                                    <input type="text" ng-model="contentType" name="contenttype" class="form-control">
                                </div>
                                <div class="form-group">
                                    <label>Have Image</label>
                                    <input type="checkbox" name="haveimage" id="haveimage" ng-model="haveimage" >
                                    <span ng-if="haveimage"><label>Have Multiple Image</label>
                                        <input type="checkbox" id="multipleimage" name="multipleimage" >
                                    </span>
                                    <div>
                                        <label>Have Content</label>
                                        <input type="checkbox" id="havecontent" name="havecontent" ng-model="havecontent" >

                                        <span ng-if="havecontent"><label>Have Multiple Content</label>
                                            <input type="checkbox" id="multilecontent" name="havemultiplecontent">
                                        </span>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label>Width</label>
                                    <input type="text" name="width" ng-modal="width" class="form-control">
                                </div>
                                <div class="form-group">
                                    <label>Height</label>
                                    <input type="text" name="Height" ng-model="height" class="form-control">
                                </div>
                                <div class="pull-right">
                                    <button type="submit" ng-click="savecontenttype()" class="btn btn-success">Save</button>                                
                                </div>
                            </form>
                        </div>                       
                    </div>
                    <!-- /.row (nested) -->
                </div>
                <!-- /.panel-body -->
            </div>
            <!-- /.panel -->
        </div>
        <!-- /.col-lg-12 -->
    </div>


    <!--================= table view start here ===================-->
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Content Type</th>
                <th scope="col">Content</th>
                <th scope="col">Multiple Contents</th>
                <th scope="col">Image</th>
                <th scope="col">Multiple Images</th>
                <th scope="col">Width</th>
                <th scope="col">Height</th>
                <th scope="col">Delete</th>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="content in contentTypes">
                <th scope="row">{{$index+1}}</th>
                <td>{{content.content_type}}</td>
                <td ng-show="content.haveContent == 1"><i class="fa fa-check" aria-hidden="true"></i></td>
                <td ng-show="content.haveContent == 0"><i class="fa fa-times" aria-hidden="true"></i></td>
                <td ng-show="content.haveMultipleContent == 1"><i class="fa fa-check" aria-hidden="true"></i></td>
                <td ng-show="content.haveMultipleContent == 0"><i class="fa fa-times" aria-hidden="true"></i></td>
                <td ng-show="content.haveImg == 1"><i class="fa fa-check" aria-hidden="true"></i></td>
                <td ng-show="content.haveImg == 0"><i class="fa fa-times" aria-hidden="true"></i></td>
                <td ng-show="content.haveMultpleImg == 1"><i class="fa fa-check" aria-hidden="true"></i></td>
                <td ng-show="content.haveMultpleImg == 0"><i class="fa fa-times" aria-hidden="true"></i></td>
                <td ng-show="content.width != '' ">{{content.width}}</td>
                <td ng-show="content.width == '' "><i class="fa fa-times" aria-hidden="true"></i></td>
                <td ng-show="content.height != '' ">{{content.height}}</td>
                <td ng-show="content.height == '' "><i class="fa fa-times" aria-hidden="true"></i></td>
                <!--delete-->                               
                <td><i style="color: #ca0b0b;font-size: 20px;" class="fa fa-trash-o" aria-hidden="true" ng-click="confirmationMsg(content.id)"></i></td>
                <!--===============-->
            </tr>
        </tbody>
    </table>
    <!--================== table view end =========================-->

</div>
<!-- Custom angular  -->
<script src="<?php echo base_url('assets/js/angular/controller/contentTypeController.js'); ?>"></script> 

