<?php
/**
 * @Author: Nighil George
 * @Date:   2017-12-01 15:20:14
 * @Last Modified by:   Nighil George
 * @Last Modified time: 2017-12-01 15:24:19
 */
?>
<div ng-app="adminApp" ng-controller="typeController" id="typeController" ng-init="clearForm()">
    <div class="row" >
        <div class="col-lg-12">
            <h1 class="page-header">Type</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Form
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <form role="form" id="formtype">
                                <div class="form-group">
                                    <label>Type</label>
                                    <input type="text" ng-model="type" name="type" class="form-control">
                                </div>
                               <div class="pull-right">
                                    <button type="submit" ng-click="save()" class="btn btn-success">Save</button>                                
                                </div>
                              
                            </form>
                        </div>                       
                    </div>
                    <!-- /.row (nested) -->
                </div>
                <!-- /.panel-body -->
            </div>
            <!-- /.panel -->
        </div>
        <!-- /.col-lg-12 -->
    </div>


    <!--================= table view start here ===================-->
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Type</th>
                <th scope="col">Delete</th>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="type in types">
                <th scope="row">{{$index+1}}</th>
                <td>{{type.type}}</td>
               
                <!--delete-->                               
                <td><i style="color: #ca0b0b;font-size: 20px;" class="fa fa-trash-o" aria-hidden="true" ng-click="confirmationMsg(type.id)"></i></td>
                <!--===============-->
            </tr>
        </tbody>
    </table>
    <!--================== table view end =========================-->

</div>
<!-- Custom angular  -->
<script src="<?php echo base_url('assets/js/angular/controller/typeController.js'); ?>"></script> 

