
/* Copyright (C) Hawks Solutions  - All Rights Reserved 
 * 
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * 
 * Proprietary and confidential 
 * 
 * Written by Anuraj <anurajpr2266@gmail.com>, November 2017  
 * =========================================================================
 * app.js : registering the javascript controllers in the system
 * =========================================================================*/

var loginApp = angular.module('loginApp',[]);
var adminApp = angular.module('adminApp',[]);
var homeApp = angular.module('homeApp',[]);
var frontApp = angular.module('frontApp',['ngSanitize']);

homeApp.filter('htmlToPlaintext', function()
{
    return function(text,max,tail)
    {
        text=  text ? String(text).replace(/<[^>]+>/gm, '') : '';
      if(max)
        text = text.substr(0, max);
        if(tail)
        	return text + tail;
    	else
    		return text;
    };
});
homeApp.filter('unsafe', function($sce) {

      return function(val) {

          return $sce.trustAsHtml(val);

      };

  });
homeApp.filter('range', function() {
 return function(input, total) {
   total = parseInt(total);
   for (var i=0; i<total; i++)
     input.push(i);
   return input;
 };
});
