/* 
 * Copyright (C) Hawks Solutions  - All Rights Reserved 
 * 
 * Unauthorized copying of this file, via any medium is strictly prohibited 
 * 
 * Proprietary and confidential 
 * 
 * Written by Anuraj <anurajpr2266@gmail.com>, September 2017  
 */

/*
 * LoginController 
 */
var quill = null;
adminApp.controller('SheduleController', function ($scope, $http, $timeout, $q) {

//    var temp_dashboard = angular.element('#data-dashboard').val();
    // var data_contenttypes = JSON.parse(angular.element('#data-contentTypes').val());
    // var data_shedule = JSON.parse(angular.element('#data-shedules').val());

    angular.extend($scope, {
        // contenttypes: data_contenttypes,
        // shedule:data_shedules,
        tableShow: false,
        editorShow: false,
        contents: [],
        contentId: 0,
        contentIndex: {},

        ajaxChangeContentType: function () {
            $scope.tableShow = false;
            $scope.editorShow = false;
            if($scope.modelContentType==62||$scope.modelContentType==59){
                $scope.showEndDate=true;
            }else{
                $scope.showEndDate=false;
            }
            if ($scope.modelContentType != 'undefined' || $scope.modelContentType != "") {
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/dashboard/ajax',
                        data: 'action=getContentByType&contenttype=' + $scope.modelContentType,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.length == 0) {
                            $scope.contentId = 0;
                            var editorLength = quill.getLength();
                            quill.deleteText(0, editorLength);
                            $scope.editorShow = true;
                        } else if (response.data.length > 0) {
                            if (response.data[0].haveMultipleContent == 0) {
                                $scope.contents = response.data;
                                var editorLength = quill.getLength();
                                quill.deleteText(0, editorLength);
                                quill.clipboard.dangerouslyPasteHTML(0, $scope.contents[0].content);
                                $scope.contentId = response.data[0].contentId;
                                $scope.name=response.data[0].name;
                                $scope.editorShow = true;
                            } else {
                                $scope.contents = response.data;
                                $scope.tableShow = true;
                                var editorLength = quill.getLength();
                                quill.deleteText(0, editorLength);
                                $scope.editorShow = true;
                            }
                        }

                    });
                    hideLoader();
                }, 1000);
            }

        },
        
        saveOrUpdateContent: function () {
            var cc = quill.container.firstChild.innerHTML;
            if (angular.isUndefined($scope.modelContentType)) {
                toastMessage('Please select content type');
            } else {
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/dashboard/ajax',
                        data: 'action=saveContent&contentTypeId=' + $scope.modelContentType + '&contentId=' + $scope.contentId + '&content=' + cc+'&name='+$scope.contentName+'&enddate='+$scope.endDate,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        if (response.data.success == true) {
                            if (response.data.update == false) {
                                toastSuceess("content added succesfully");
                                if (response.data.multipleCotent == 1) {
                                    $scope.tableShow = true;
                                }
                                $scope.contents.push(response.data);
                            } else {
                                toastSuceess("content updated succesfully");
                                $scope.contents[$scope.contentIndex].content = response.data.content;
                                $scope.contents[$scope.contentIndex].name = response.data.name;
                                $scope.contents[$scope.contentIndex].content_type = response.data.content_type;
                                $scope.contents[$scope.contentIndex].created_date = response.data.created_date;
                                $scope.contents[$scope.contentIndex].end_date = response.data.end_date;
                                $scope.contents[$scope.contentIndex].contentId = response.data.contentId;
                            }
                            if(response.data.multipleCotent == 1) {
                                $scope.clearContentForm();
                            }
                        } else if (response.data.permission == false) {
                            toastError('Cannnot permit multiple contents to this content type !!');
                        } else {
                            toastError('internal error occured');
                        }
                    });
                    hideLoader();
                }, 1000);
            }
        },
    // saveOrUpdateShedule: function () {
           
    //             showLoader();
    //             $timeout(function () {
    //                 $http({
    //                     method: 'POST',
    //                     url: baseUrl + 'admin/dashboard/ajax',
    //                     data: 'action=saveContent&contentTypeId=' + $scope.modelContentType + '&contentId=' + $scope.contentId + '&content=' + cc+'&name='+$scope.contentName+'&enddate='+$scope.endDate,
    //                     headers: {
    //                         'Content-Type': 'application/x-www-form-urlencoded',
    //                         'X-Requested-With': 'XMLHttpRequest'
    //                     }
    //                 }).then(function successCallback(response) {
    //                     if (response.data.success == true) {
    //                         if (response.data.update == false) {
    //                             toastSuceess("content added succesfully");
    //                             if (response.data.multipleCotent == 1) {
    //                                 $scope.tableShow = true;
    //                             }
    //                             $scope.contents.push(response.data);
    //                         } else {
    //                             toastSuceess("content updated succesfully");
    //                             $scope.contents[$scope.contentIndex].content = response.data.content;
    //                             $scope.contents[$scope.contentIndex].name = response.data.name;
    //                             $scope.contents[$scope.contentIndex].content_type = response.data.content_type;
    //                             $scope.contents[$scope.contentIndex].created_date = response.data.created_date;
    //                             $scope.contents[$scope.contentIndex].end_date = response.data.end_date;
    //                             $scope.contents[$scope.contentIndex].contentId = response.data.contentId;
    //                         }
    //                         if(response.data.multipleCotent == 1) {
    //                             $scope.clearContentForm();
    //                         }
    //                     } else if (response.data.permission == false) {
    //                         toastError('Cannnot permit multiple contents to this content type !!');
    //                     } else {
    //                         toastError('internal error occured');
    //                     }
    //                 });
    //                 hideLoader();
    //             }, 1000);
         
    //     },
 /* 
         * fn to clear $ refreash form.
         */
        getShedule: function () {
           
       
            $http({
                method: 'POST',
                url: baseUrl + 'admin/Dashboard/ajax',
                data: '&action=getShedules',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'X-Requested-With': 'XMLHttpRequest'
                }
            }).then(function successCallback(response) {

                // alert('response');
                console.log(response.data.shedules);
                if (response.data.success == true) {
                    $scope.shedule = response.data.shedules;
                } else {
                    toastError('internal error occured');
                }

            });
        },

        editShedule: function (id, index) {
           $scope.contentId = id;
            $scope.contentIndex = index;
            // var editorLength = quill.getLength();
            // quill.deleteText(0, editorLength);
            // quill.clipboard.dangerouslyPasteHTML(0, $scope.contents[index].content);
            $scope.sessionName=$scope.shedule[index].session_name;
            $scope.newid=$scope.shedule[index].id;
            $scope.startName=$scope.shedule[index].start_time;
            $scope.endName=$scope.shedule[index].end_time;
            // $scope.editorShow = true;
        },
        /*
         * fn to clear form;
         */
        clearContentForm: function () {
            var editorLength = quill.getLength();
            quill.deleteText(0, editorLength);
            $scope.contentId = "";
            $scope.contentIndex = "";
            $scope.contentName="";
            $scope.endDate="";
        },

        // confirmationMsg: function (contentId, index) {
        //     console.log(contentId, index);
        //     alertify.confirm('Delete', 'Do you want to delete this item', function () {
        //         $scope.deleteContent(contentId, index);
        //     }
        //     , function () {
        //     });
        // },


 confirmationMsg: function (id, index) {

            alertify.confirm('Delete', 'Do you want to delete this item', function () {
                $scope.deleteShedule(id, index);
            }
            , function () {
            });
        },





         deleteShedule: function (id, index) {
            if (!angular.isUndefined(id)) {
              
                   // alert(id);
                showLoader();
                $timeout(function () {
                    $http({
                        method: 'POST',
                        url: baseUrl + 'admin/Dashboard/ajax',
                        data: 'action=deleteShedule&contentId='+id,
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded',
                            'X-Requested-With': 'XMLHttpRequest'
                        }
                    }).then(function successCallback(response) {
                        console.log(response.data);
                        if (response.data.success == true) {
                            toastSuceess("Content removed successfully");
                         
                            $scope.getShedule();
                        } else {
                            toastError("Error !!");
                             // toastSuceess("Content removed successfully");
                             $scope.getShedule();
                        }
                    });
                    hideLoader();
                }, 1200);
            }
        }

     
    });
});

$(document).ready(function (e) {
    quill = new Quill('#editor', {
        theme: 'snow'
    });
    $('[data-toggle="tooltip"]').tooltip();
});