/* 
 * Copyright (C) Hawks Solutions  - All Rights Reserved 
 * 
 * Unauthorized copying of this file, via any medium is strictly prohibited 
 * 
 * Proprietary and confidential 
 * 
 * Written by Anuraj <anurajpr2266@gmail.com>, September 2017  */
frontApp.controller('frontendController', function ($scope, $http, $timeout, $q, $sce) {
    angular.extend($scope, {
        gallery: {},
        mainHeading: {},
        subHeading1: {},
        subHeading2: {},
        aboutFamily: {},
        logo: {},
        memmoryimages: {},
        memmorycontent: {},
        imgPath: {},
        fullsizeimages:{},
        action:0,

        /*
         * fn to set contents to the page.
         */
        loadElements: function () {
            $timeout(function () {
                $http({
                    method: 'POST',
                    url: baseUrl + 'Welcome/ajax',
                    data: '&action=loadContents',
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                        'X-Requested-With': 'XMLHttpRequest'
                    }
                }).then(function successCallback(response) {

                    /*
                     * logo
                     */
                    $scope.logo = response.data.contentArray.logo.image[0].path;
                    
                    /*
                     * head portion.
                     */
                    console.log(response.data.contentArray.slider);
                    $scope.slider =  response.data.contentArray.slider.image[0].path;
                    $scope.mainHeading = $sce.trustAsHtml(response.data.contentArray.heading.content[0].content);
                    $scope.subHeading1 = $sce.trustAsHtml(response.data.contentArray.heading.content[1].content);
                    $scope.subHeading2 = $sce.trustAsHtml(response.data.contentArray.heading.content[2].content);
                    /*
                     * about family
                     */
                    $scope.familySubhead = $sce.trustAsHtml(response.data.contentArray.about_family.content[0].content);
//                    $scope.grandParents = $sce.trustAsHtml(response.data.contentArray.about_family.content[1].content);
                    $scope.aboutFamily = response.data.contentArray.about_family.image[0].path;

                    /*
                     * memmories
                     */
                    $scope.memmoryimages=response.data.contentArray.memories; 
                    $scope.showmorememory=response.data.contentArray.memories.image.length; 
                    /*
                     * gallery
                     */
                    $scope.gallery = response.data.contentArray.gallery;
                    $scope.showmoregallery = response.data.contentArray.gallery.image.length;
                });
            }, 100);
        },
        
        /*
         * modal for single image view.
         */
        imageModal:function(path){
            $('#myModal').modal('show');
            $scope.imgPath = path;
        },
        
        /*
         * show more modal.
         */
        showmorepopup:function(){
            $('#showmoreModal').modal('show');
            $scope.fullsizeimages = $scope.gallery.image[$scope.action].path;
        },
        fullsizeimage:function(){
            $('#myCarousel').modal('show');
            $scope.fullsizeimages = response.data.contentArray.gallery.image;
            console.log(fullsizeimages);return;
        },
        previousimage:function(){
            console.log($scope.action);
         if($scope.action > 0){
            $scope.fullsizeimages = $scope.gallery.image[$scope.action - 1].path;
            $scope.action=$scope.action-1;
        }
        
        },
        nextimage:function(){
           if($scope.action+1 <= $scope.gallery.image.length - 1){
            $scope.fullsizeimages = $scope.gallery.image[$scope.action + 1].path;
            $scope.action=$scope.action+1;
        }else{
            $scope.action=-1;
        }
        }
        
    });
});