<?php

/**
 * @Author: hawks
 * @Date:   2018-09-04 11:32:11
 * @Last Modified by:   hawks
 * @Last Modified time: 2018-09-04 11:32:32
 */

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Capsule\Manager as DB;

class Content extends Model {

    protected $table = 'content';
    public $timestamps = false;
    
    
	    public function entireData(){

	    	 $query = DB::table('content')
	    	 			->select('content.id')
	    				->join('content_types','content_types.id','=','content.content_type_id')
	    				->where('content.deleteStatus',1)
	    				->get();
	    	return $query;

	    }
	    public function pageData($pagelimit=1000,$offset=0){
	    	$offset=$pagelimit*$offset;

	    	 $query = DB::table('content')
	    	 			->select('content.*','content_types.content_type')
	    				->join('content_types','content_types.id','=','content.content_type_id')
	    				->where('content.deleteStatus',1)
	    				->limit($pagelimit)->offset($offset)
	    				->get();
	    	return $query;

	    }
   
    
}